document.addEventListener('deviceready', function () {
  
  window.plugins.OneSignal
    .startInit("f250ef1f-2ad8-4892-9e3c-718592d3300b")
    .handleNotificationOpened(function(jsonData) {
      // alert(3)
    if(jsonData.notification.payload.additionalData.message){
      myApp.alert(jsonData.notification.payload.additionalData.message,'');
    }
    if(jsonData.notification.payload.additionalData.page){
      mainView.router.loadPage(jsonData.notification.payload.additionalData.page);
    }

  }).endInit();

  
  window.plugins.OneSignal.getIds(function(ids) {
    if(!storage.getItem('appId'+defaultId)){
      myApp.showIndicator();
      $$.ajax({
         type: "POST",
         url: hostUrl+'appv1/player/prm/'+sysApp,
         data: {'playerId':ids.userId,'pushToken':ids.pushToken,'uid':mId},
         dataType: "json",
         success: function (data, textStatus) {
            if(data.report && !data.error){
              storage.setItem('appId'+defaultId,data.appId);
              $('.playerId').val(data.appId);
            }
            myApp.hideIndicator();
         },
         error: function(xhr, textStatus){ 
            // We have received response and can hide activity indicator
            myApp.hideIndicator(); 
            myApp.alert(errorConnection,errorConnectionEn);
        }
      });
    }
  });



}, false);